Loading...
Searching...
No Matches
DefaultCostModel.h File Reference
`#include "CostModel.h"`
`#include "Statistics.h"`
`#include "Weights.h"`
`#include <string>`

Go to the source code of this file.

## Classes

class | Halide::DefaultCostModel

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Functions

std::unique_ptr< DefaultCostModel > | Halide::make_default_cost_model (Internal::Autoscheduler::Statistics &stats, const std::string &weights_in_dir="", const std::string &weights_out_dir="", bool randomize_weights=false)